Improve Project methods to enable/disable modules

2010-12-15 22:53 - Jean-Baptiste Barth

Status: Closed Start date: 2010-12-15

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 1.2.1   

Description

Enabling or disabling modules is not so easy now. It could be really useful when writing tests, doing  modifications for many projects

in a "script/console" (or "runner"), and of course in plugins. If nobody has an objection, I'm working it.

Associated revisions

Revision 6098 - 2011-06-20 01:45 - Jean-Baptiste Barth

Added Project#enable_module! and Project#disable_module! (#7115)

History

#1 - 2010-12-15 23:36 - Jean-Philippe Lang

That could look like Role#add_permission! and #remove_permission!

#2 - 2010-12-16 18:39 - Jean-Baptiste Barth

- File 7115-improve-project-methods-to-enable-disable-modules.diff added

I was thinking about something a bit simpler to enable/disable module one by one. See proposal attached, tell me what you think.

#3 - 2010-12-20 21:23 - Jean-Philippe Lang

- File 7115-improve-project-methods-to-enable-disable-modules-1.diff added

#disable_module! would destroy any object that is given as argument, safer version attached.

#4 - 2011-06-20 01:45 - Jean-Baptiste Barth

- Status changed from New to Closed

- Target version set to 1.2.1

- % Done changed from 0 to 100

Thanks for your answer, didn't see it before, sorry...

r5265 removed the need to use it in Project#enabled_module_names=, but I think these methods could be very useful in a shared hosting

environment or in plugins. So I adapted the patch for current trunk and added it in r6098.

It will be safe for next minor version, the methods aren't used for the moment, so it cannot break anything.

#5 - 2011-06-20 08:51 - Etienne Massip

- Status changed from Closed to Reopened

Reopened for tracking, not merged into 1.2 branch.

#6 - 2011-06-20 21:40 - Jean-Baptiste Barth

- Status changed from Reopened to Closed

My mistake, sorry. I merged it in 1.2-stable with r6104. Thanks.

#7 - 2011-06-21 05:36 - Jean-Baptiste Barth

Merged too many things with r6104, reverted in r6105, clean merge of this one is in r6106. Sorry for the noise.
